#debuginfo not supported with Go
%global debug_package %{nil}

%global goipath         github.com/skupperproject/skupper/cmd/skupper
Version:                1.0.2
%global buildnum        2
%global downstream_build redhat-%{buildnum}
%global tag             1.0.2
%global package_name    skupper-cli
%global binary_name     skupper
%global golang_version  1.17
%global LDFLAGS         "-X github.com/skupperproject/skupper/client.Version=%{version}-%{downstream_build}"


%gometa

%global godocs          README.md

Name:           %{package_name}
Release:        %{buildnum}%{?dist}
Summary:        Skupper command line tool

License:        ASL 2.0

URL:            %{gourl}
Source0:        skupper-%{version}.tar.gz
Source1:        vendor-%{version}.tar.gz
Source2:        images.go
Source3:        labels.go

BuildRequires:  golang >= %{golang_version}
Provides:       %{package_name}

ExcludeArch:    i686


%description
Skupper command line tool


%prep
%setup -q -n skupper-%{version}
tar xpf %{SOURCE1} -C .
cp %{SOURCE2} client/
cp %{SOURCE3} client/

%build
go build -buildmode=pie -mod=vendor -ldflags=%{LDFLAGS} -o build/bin/skupper %{goipath}

%install
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp build/bin/*      %{buildroot}%{_bindir}/

%files
%license LICENSE
%doc README.md
%{_bindir}/*


%changelog
* Tue Aug 2 2022 Mike Cressman <mcressma@redhat.com> - 1.0.2-2
- Rebuild with updated golang (>= 1.17.12) to resolve [BZ 2107342] CVE-2022-30631

* Tue Jun 14 2022 Mike Cressman <mcressma@redhat.com> - 1.0.2-1
- Rebase to 1.0.2

* Fri Jun 3 2022 Mike Cressman <mcressma@redhat.com> - 1.0.1-1
- Rebase to 1.0.1

* Thu May 12 2022 Mike Cressman <mcressma@redhat.com> - 1.0.0-3
- Further small changes

* Thu May 5 2022 Mike Cressman <mcressma@redhat.com> - 1.0.0-2
- Add -buildmode=pie for hardening

* Tue Apr 26 2022 Mike Cressman <mcressma@redhat.com> - 1.0.0-1
- Rebase to 1.0.0

* Wed Nov 3 2021 Mike Cressman <mcressma@redhat.com> - 0.8.1-2
- update labels.go to be Skupper-oriented (vs Interconnect)

* Wed Nov 3 2021 Mike Cressman <mcressma@redhat.com> - 0.8.1-1
- Rebase to 0.8.1

* Tue Oct 26 2021 Mike Cressman <mcressma@redhat.com> - 0.8.0-3
- Fix the regex in labels.go

* Thu Oct 21 2021 Mike Cressman <mcressma@redhat.com> - 0.8.0-2
- Rebase to upstream 0.8.0
- use local labels.go to add metering labels

* Fri Jul 30 2021 Mike Cressman <mcressma@redhat.com> - 0.7.0-1
- Rebase to upstream 0.7.0

* Wed May 19 2021 Mike Cressman <mcressma@redhat.com> - 0.6.0-1
- Rebase to upstream 0.6.0

* Tue Mar 30 2021 Mike Cressman <mcressma@redhat.com> - 0.5.2-1
- Rebase to upstream 0.5.2

* Fri Mar 26 2021 Mike Cressman <mcressma@redhat.com> - 0.5.1-2
- change the format of the version tag

* Fri Mar 26 2021 Mike Cressman <mcressma@redhat.com> - 0.5.1-1
- Rebase with upstream 0.5.1

* Fri Mar 12 2021 Mike Cressman <mcressma@redhat.com> - 0.5.0-2
- Rebuild with updated upstream 0.5.0

* Wed Mar 10 2021 Mike Cressman <mcressma@redhat.com> - 0.5.0-1
- Rebase to upstream 0.5.0
- set internal version

* Wed Feb 24 2021 Mike Cressman <mcressma@redhat.com> - 0.4.2-1
- Initial package

